> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rumorz.io/llms.txt
> Use this file to discover all available pages before exploring further.

# summarize

> Summarize real-time or historical events and news for any entity in the graph.



## OpenAPI

````yaml api-reference/openapi.yaml post /agent/summarize
openapi: 3.0.0
info:
  title: Rumorz API
  version: v0
  description: >-
    This is the Rumorz API for accessing Financial markets AI intelligence
    through the Graph and Agent endpoints.
servers:
  - url: https://rumorz.azurewebsites.net/v0
security:
  - ApiKeyAuth: []
paths:
  /agent/summarize:
    post:
      tags:
        - Agent
      summary: summarize
      description: >-
        Summarize real-time or historical events and news for any entity in the
        graph.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                timestamp:
                  type: string
                  format: date-time
                sentiment_gte:
                  type: number
                sentiment_lte:
                  type: number
            example:
              id: 115176
              timestamp: '2023-10-26T00:00:00Z'
              sentiment_gte: 0.5
              sentiment_lte: 1
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````